> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 健康检查

> 检查系统健康状况 — 无需身份验证。

公开端点，返回 Theo 基础设施及 AI 引擎子系统的当前健康状态。**无需身份验证。**

<Note>
  健康检查结果会缓存 30 秒。`X-Cache` 响应头会标明 `HIT` 或 `MISS`。
</Note>

## 请求示例

```bash theme={null}
curl https://www.hitheo.ai/api/v1/health
```

## 响应

<ResponseField name="status" type="string">
  系统整体状态：`"healthy"`（健康）、`"degraded"`（降级）或 `"down"`（不可用）。
</ResponseField>

<ResponseField name="timestamp" type="string">
  本次健康检查的 ISO 8601 时间戳。
</ResponseField>

<ResponseField name="version" type="string">
  API 版本标识符（例如 `"2026-03-28"`）。
</ResponseField>

<ResponseField name="providers" type="object">
  AI 引擎子系统的健康状况。

  <Expandable title="Provider health object">
    每个键为一个 Theo 子系统名称（例如 `theo-core`、`theo-vision`、`theo-search`）。对应的值包含：
    <ResponseField name="status" type="string">`"healthy"`（健康）、`"degraded"`（降级）、`"down"`（不可用）或 `"unconfigured"`（未配置）。</ResponseField>
  </Expandable>
</ResponseField>

### 响应示例

```json theme={null}
{
  "status": "healthy",
  "timestamp": "2026-04-10T12:00:00.000Z",
  "version": "2026-03-28",
  "providers": {
    "theo-core": { "status": "healthy" },
    "theo-vision": { "status": "healthy" },
    "theo-search": { "status": "healthy" }
  }
}
```

## 状态码

| 状态码 | 含义 |
| - | - |
| 200 | 系统健康或处于降级状态 |
| 503 | 系统不可用 — 响应中包含 `Retry-After: 30` 头 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.